Bug 437772 - RFE: Warn before closing install window
RFE: Warn before closing install window
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
: FutureFeature, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-17 08:04 EDT by Valent Turkovic
Modified: 2013-01-09 23:36 EST (History)
3 users (show)

See Also:
Fixed In Version: f9
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-04 08:47:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
video of closing a fedora installer in the middle of copying files (214.61 KB, video/ogg)
2008-03-17 08:05 EDT, Valent Turkovic
no flags Details

  None (edit)
Description Valent Turkovic 2008-03-17 08:04:32 EDT
Description of problem:
Currently users can (by mistake or on purpose) close Fedora install window :(
Some warning before allowing closing of the windows would be nice.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Valent Turkovic 2008-03-17 08:05:26 EDT
Created attachment 298258 [details]
video of closing a fedora installer in the middle of copying files
Comment 2 Valent Turkovic 2008-03-17 08:15:42 EDT
youtube link of closing a fedora installer in the middle of copying files:
http://www.youtube.com/watch?v=M7wTriBKpmY
Comment 3 Lubomir Kundrak 2008-03-17 11:01:17 EDT
They can even blow up their computer with an atomic bomb by mistake.
Comment 4 Valent Turkovic 2008-03-17 11:33:18 EDT
You really see no issue with install window than can be closed even more easily
than other windows?!?

Even gedit will earn you that you need to same something before closing text file!

Please reconsider this issue.
Comment 5 Lubomir Kundrak 2008-03-17 11:55:43 EDT
Yup.
Comment 6 Jeremy Katz 2008-03-17 12:07:24 EDT
We can't do anything about a kill, but we could catch the destroy event.  And I
thought we already were
Comment 7 Valent Turkovic 2008-03-18 05:46:27 EDT
Nope, as you can see in the video no destroy events are captured.
Comment 8 Jeremy Katz 2008-03-26 16:24:13 EDT
Fixed in git
Comment 9 Jon Stanley 2008-04-23 16:28:44 EDT
Adding FutureFeature keyword to RFE's.
Comment 10 Valent Turkovic 2008-06-04 02:59:11 EDT
Can this be closed if it is fixed?

Note You need to log in before you can comment on or make changes to this bug.